NVRAM(4)

NAME
nvram - Mostek MK48T0x battery-backed realtime clock

SYNOPSIS
nvram0 at syscon0 offset 0x80000

DESCRIPTION
The nvram driver provides support for the Mostek MK48T02 realtime clock chip.

In addition to the clock itself, this chip embeds 2KB of battery-backed memory, which is accessible through the special /dev/nvram0 file.

FILES
/dev/nvram0

SEE ALSO
intro(4), syscon(4)

CAVEATS
The last 8 bytes of the battery-backed memory contains the realtime clock registers. Writing to these locations will interfere with proper clock operation.

Most, if not all, of the battery-backed memory is used by DG/UX to store some of its configuration data, and may be reinitialized by the PROM if it considers the memory contents as invalid. The nvram driver does not prevent access to this reserved part.